import requests

class PrinceAI:
    BASE_URL = "https://princeaiapi.vercel.app/prince/api/v1/ask"

    def __init__(self, key: str):
        self.key = key

    def ask(self, question: str) -> str:
        response = requests.get(f"{self.BASE_URL}?key={self.key}&ask={question}")
        if response.status_code == 200:
            content = response.json().get("message", {}).get("content", "No response from AI.")
            return content
        return "Error: Could not fetch response."